Subject: Re: Accessing the user stack inside system call service routine

From: Steffen Rumler <[email-masked]>
Date: Wed, 19 Jun 2002 13:40:50 +0200

> That is indeed very strange.  The first word should be non-zero at the
> very least.  Is it possible that your program has in fact trashed its
> stack?  Another thing to try would be to check the contents of
> current->user_stack_xxx immediately after you copy it to see whether
> it is all zero at that point.

Thank you all for the answer, it is now working fine.

I have basically used the LTT routine to analyze the EABI stack
frames, provided by Frank.

When I copy the relevant addresses (backchain pointer, saved link
register)
to separate static buffer and not to the task structure it is
working.

Steffen

--

--------------------------------------------------------------

Steffen Rumler
ICN ON PNE SB 4
Siemens AG
Hofmannstr. 51                 Email: [email-masked]
D-81359 Munich                 Phone: +49 89 722-44061
Germany                        Fax  : +49 89 722-36703

--------------------------------------------------------------

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/